|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# Obsolete Members for QFontMetrics

The following class members are obsolete. They are provided to keep old source code working. We strongly advise against using them in new code.

- QFontMetrics class reference

### Public Functions

- int charWidth ( const QString & text, int pos ) const `(obsolete)`

## Member Function Documentation

### int QFontMetrics::charWidth ( const QString & text, int pos ) const

Returns the width of the character at position pos in the string text.

The whole string is needed, as the glyph drawn may change depending on the context (the letter before and after the current one) for some languages (e.g. Arabic).

This function also takes non spacing marks and ligatures into account.